websocket-sharp : WebSocketSharp.Net Namespace

# CookieException Class

The exception that is thrown when a WebSocketSharp.Net.Cookie gets an error.

## Syntax

public class CookieException : FormatException

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)

## Members

See Also: Inherited members from FormatException.

## Public Constructors

| CookieException () | Initializes a new instance of the WebSocketSharp.Net.CookieException class.

## Protected Constructors

| CookieException (System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext) | Initializes a new instance of the WebSocketSharp.Net.CookieException class with the specified System.Runtime.Serialization.SerializationInfo and System.Runtime.Serialization.StreamingContext.

## Public Methods

override | GetObjectData (System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext) Populates the specified System.Runtime.Serialization.SerializationInfo with the data needed to serialize the WebSocketSharp.Net.CookieException.

## Explicitly Implemented Interface Members

| System.Runtime.Serialization.ISerializable.GetObjectData | Populates the specified System.Runtime.Serialization.SerializationInfo with the data needed to serialize the WebSocketSharp.Net.CookieException.

## Extension Methods

static | IsNull<T> (this T) : bool Determines whether the specified object is `null`.
static | IsNullDo<T> (this T, Action) : bool Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### CookieException Constructor

> Initializes a new instance of the WebSocketSharp.Net.CookieException class.

> ## Syntax

> public CookieException ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### CookieException Constructor

> Initializes a new instance of the WebSocketSharp.Net.CookieException class with the specified System.Runtime.Serialization.SerializationInfo and System.Runtime.Serialization.StreamingContext.

> ## Syntax

> protected CookieException (System.Runtime.Serialization.SerializationInfo serializationInfo, System.Runtime.Serialization.StreamingContext streamingContext)

> #### Parameters

> > serializationInfo
> >   A System.Runtime.Serialization.SerializationInfo that holds the serialized object data.
> > streamingContext
> >   A System.Runtime.Serialization.StreamingContext that contains the contextual information about the source or destination.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### GetObjectData Method

> Populates the specified System.Runtime.Serialization.SerializationInfo with the data needed to serialize the WebSocketSharp.Net.CookieException.

> ## Syntax

> public override void GetObjectData (System.Runtime.Serialization.SerializationInfo serializationInfo, System.Runtime.Serialization.StreamingContext streamingContext)

> #### Parameters

> > serializationInfo
> >   A System.Runtime.Serialization.SerializationInfo that holds the serialized object data.
> > streamingContext
> >   A System.Runtime.Serialization.StreamingContext that specifies the destination for the serialization.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### System.Runtime.Serialization.ISerializable.GetObjectData Method

> Populates the specified System.Runtime.Serialization.SerializationInfo with the data needed to serialize the WebSocketSharp.Net.CookieException.

> ## Syntax

> void System.Runtime.Serialization.ISerializable.GetObjectData (System.Runtime.Serialization.SerializationInfo serializationInfo, System.Runtime.Serialization.StreamingContext streamingContext)

> #### Parameters

> > serializationInfo
> >   A System.Runtime.Serialization.SerializationInfo that holds the serialized object data.
> > streamingContext
> >   A System.Runtime.Serialization.StreamingContext that specifies the destination for the serialization.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)